import '../../../../../../food_delivery_client.dart';

class Onboarding2 extends StatelessWidget {
  const Onboarding2({super.key});

  @override
  Widget build(BuildContext context) {
    return SizedBox(
      height: context.h,
      width: context.w,
      child: Column(
        children: [
          Expanded(
            child: Stack(
              alignment: Alignment.center,
              children: [
                SvgPicture.asset(AppIcons.icOnBoarding2),
                SvgPicture.asset(AppIcons.icOnBoarding3),
              ],
            ),
          ),
          Expanded(
            child: DecoratedBox(
              decoration: BoxDecoration(
                color: context.theme.scaffoldBackgroundColor,
                boxShadow: [
                  BoxShadow(
                    color: AppColors.cD6D4D4.newWithOpacity(.25),
                    offset: Offset(0, 0),
                    blurRadius: 10,
                  ),
                ],
              ),
              child: Column(
                spacing: 20,
                children: [
                  25.verticalSpace,
                  Text(
                    "Bringing the best flavors food in the world",
                    textAlign: TextAlign.center,
                  ),
                  Text(
                    "Discover your favorite meals and get them delivered fast wherever you are.",
                    textAlign: TextAlign.center,
                  ),
                ],
              ).paddingSymmetric(horizontal: 22),
            ),
          ),
        ],
      ),
    );
  }
}
